@import url('https://fonts.googleapis.com/css2?family=Bebas+Neue&family=Edu+SA+Beginner:wght@400;500&family=Montserrat:wght@100;200;300;400;500;600;700;800;900&display=swap');

* {
    margin: 0;
    padding: 0;
    font-family: 'Montserrat', sans-serif;
    overflow-x: hidden;
}

header {
    background-color: #2E948A;
    width: 100vw;
    height: 10vh;
    position: relative;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

header a {
    margin: 0.8% 0 0 2%;
}

header a img {
    height: 8vh;
}

header nav {
    margin: 0 8% 0 0;
}

header ul {
    display: flex;
    align-items: center;
    justify-content: center;
    list-style-type: none;
    width: auto;
}

header ul li {
    margin: 0 10px;
    padding: 2px;
}

header ul li a {
    text-decoration: none;
    color: #FDFDFD;
    font-size: 150%;
    font-family: 'Bebas Neue', cursive;   
}

#inicio-principal {
    width: 100vw;
    height: 90vh;
    background-color: #FDFDFD;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    flex-wrap: wrap;
}

#inicio-principal div {
    overflow-y: hidden;
}

#inicio-principal div h1 {
    color: #FF4081;
    font-size: 350%;
    font-weight: 700;
    font-family: 'Montserrat', sans-serif;
    margin-bottom: 5%;
}

#inicio-principal div p {
    font-size: 150%;
    font-weight: 400;
    margin-bottom: 7%;
}

#inicio-principal div a {
    background-color: #FDFDFD;
    border: 1px solid #ff4081;
    border-radius: 62px;
    padding: 2% 5%;
    color: #FF4081;
    font-size: 120%;
    font-weight: 500;
    text-decoration: none;
    position: relative;
    top: -10px;
    transition: 0.8s ease;
}

#inicio-principal div a:hover {
    background-color: #ff4081;
    color: #FDFDFD;
}

#inicio-curso {
    width: 100vw;
    height: 100vh;
    background-color: #F6F6F6;
    display: flex;
    flex-flow:row wrap;
    justify-content: center;
    align-items: center;
}

.cursos-principais {
    width: 30%;
    height: 80%;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    flex-direction: column;
}

.cursos-principais img {
    height: 60%;
    margin-bottom: 10%;
}

.cursos-principais h4 {
    color: #FF4081;
    font-size: 150%;
    margin-bottom: 10%;
    overflow-y: hidden;
}

.cursos-principais p {
    width: 80%;
    text-align: center;
    margin-bottom: 10%;
    font-weight: 400;
    overflow-y: hidden;
} 

.cursos-principais a {
    background-color: #FF4081;
    border: none;
    border-radius: 62px;
    padding: 2% 10%;
    color: #fff;
    font-size: 120%;
    font-weight: 400;
    overflow-y: hidden;
    text-decoration: none;
}

#inicio-comentarios {
    width: 99vw;
    height: 100vh;
    position: relative;
}

#inicio-comentarios h2 {
    position: absolute;
    top: 15%;
    left: 10%;
    font-size: 250%;
    font-weight: 600;
    color: #009688;
}

#container-comentarios {
    position: relative;
    top: 35%;
    left: 10%;
    display: flex;
    flex-flow: row wrap;
    width: 90vw;
}

#container-comentarios div {
    display: flex;
    align-items: center;
    width: 40%;
    margin: 0 5% 5% 0;
}

#container-comentarios div img {
    margin-right: 5%;
}

#container-comentarios div p {
    font-size: 120%;
}

#inicio-posts {
    width: 100vw;
    height: 85vh;
    background-color: #F6F6F6;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    position: relative;
}

#inicio-posts h2 {
    width: 100%;
    color: #009688;
    font-size: 200%;
    position: relative;
    left: 5%;
}

#inicio-posts div {
    width: 30%;
    height: 50%;
    position: relative;
    top: -7%;
    left: 4%;
}

#inicio-posts div img {
    width: 75%;
    height: 50%;
    margin-bottom: 5%;
}

#inicio-posts div h4 {
    color: #2E948A;
    font-size: 150%;
    font-weight: 700;
}

#inicio-posts div p {
    width: 70%;
}

#inicio-posts a {
    position: absolute;
    left: 42%;
    top: 90%;
    border: 1px solid #ff4081;
    border-radius: 62px;
    color: #FF4081;
    background-color: #F6F6F6;
    padding: 0.5% 1%;
    font-size: 110%;
    text-decoration: none;
}

footer {
    width: 100vw;
    height: 15vh;
    background-color: #419488;
    display: flex;
    align-items: center;
    justify-content: space-around;
    position: relative;
}

footer img {
    height: 70%;
}

footer ul {
    list-style-type: none;
    text-decoration: none;
    position: relative;
    right: 8%;
}

footer li {
    margin-bottom: 5px;
}

footer a {
    text-decoration: none;
    color: #fff;
}

footer div {
    display: flex;
    flex-direction: column;
}

footer div a {
    border: 1px solid #fff;
    border-radius: 62px;
    margin-top: 10px;
    background-color: #419488;
    color: #fff;
    padding: 10px 30px;
    display: flex;
    align-items: center;
    justify-content: center;
}

#menu-contato {
    width: 100vw;
    height: 75vh;
    display: flex;
    align-items: center;
    justify-content: space-evenly;
}

#formulario-contato {
    width: 40%;
    display: flex;
    flex-direction: column;
}

#formulario-contato h1 {
    color: #FF4081;
    margin-bottom: 5%;
    font-size: 300%;
}

#formulario-contato #nome {
    border: 1px solid #686868;
    border-radius: 7px;
    width: 80%;
    margin-bottom: 2%;
    padding: 1% 1% 1% 2%;
}

#formulario-contato #email {
    border: 1px solid #686868;
    border-radius: 7px;
    width: 80%;
    margin-bottom: 2%;
    padding: 1% 1% 1% 2%;
}

#formulario-contato #msg {
    border: 1px solid #686868;
    border-radius: 7px;
    width: 80%;
    margin-bottom: 2%;
    padding: 1% 1% 20% 2%;
}

#formulario-contato a {
    background-color: #FF4081;
    border: none;
    text-decoration: none;
    color: #fff;
    width: 15%;
    padding: 1%;
    border-radius: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: 500;
    font-size: 110%;
}

#menu-contato img {
    height: 80%;
}

#menu-cursos {
    display: flex;
    flex-direction: column;
    align-items: center;
}

#titulo-cursos {
    margin: 7% 5%;
    position: relative;
    left: -25%;
}

#titulo-cursos h1 {
    color: #FF4081;
    font-size: 60px;
    font-weight: 700;
}

#titulo-cursos p {
    font-size: 20px;
    font-weight: 400;
    color: #555555;;
}

.secoes-cursos {
    width: 80%;
    display: flex;
    justify-content: center;
    padding-bottom: 5%;
    margin-bottom: 5%;
    box-shadow: 0 5px #C4C4C4;
}

.img-cursos {
    padding-left: 5%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.img-cursos img {
    width: 100%;
}

.conteudo-cursos {
    width: 80%;
    padding: 0 5%;
    position: relative;
}

.conteudo-cursos h2 {
    color: #FF4081;
    font-weight: 700;
    font-size: 35px;
    position: relative;
    margin: 2% 0 5% 0;
}

.conteudo-cursos p {
    font-weight: 400;
    font-size: 0.9rem;
    color: #000;
    margin-bottom: 7%;
}

.conteudo-cursos a {
    background-color: #419488;
    border-radius: 62px;
    padding: 1.5% 4%;
    text-decoration: none;
    color: #fff;
}

#tirar-borda {
    box-shadow: none;
}

#inicio-blog {
    width: 100vw;
    height: 90vh;
    display: flex;
    align-items: center;
    justify-content: center;
}

#titulo-blog {
    width: 30%;
    margin-right: 8%;
}

#titulo-blog h1 {
    color: #009688;
    font-size: 2.5rem;
    margin-bottom: 13%;
}

#titulo-blog p {
    width: 85%;
    color: #000000;
}

#conteudo-blog {
    background-color: #E5E5E5;
    width: 100vw;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
}

.container-blog {
    width: 40%;
    margin-top: 5%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.container-blog img {
    width: 80%;
    height: 50%;
    margin-bottom: 3%;
}

.container-blog a {
    width: 80%;
    color: #FF4081;
    font-weight: 600;
    margin-bottom: 3%;
}

.container-blog p {
    width: 80%;
}

#curso-principal {
    width: 100vw;
    height: 90vh;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
}

#curso-principal article {
    width: 30%;
}

#curso-principal article h1 {
    color: #FF4081;
    font-size: 3rem;
    margin-bottom: 10%;
}

#conteudo-curso {
    background-color: #F6F6F6;
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100vw;
}

.container-curso {
    display: flex;
    width: 80%;
    align-items: center;
    justify-content: center;
    margin: 5% 0 0 0;
    box-shadow: 0 3px #C4C4C4;
    padding-bottom: 5%;
}

.incone-curso {
    margin: 0 5% 0 10%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.explica-curso {
    width: 40%;
}

.explica-curso h2 {
    color: #FF4081;
    margin-bottom: 7%;
}

.explica-curso p {
    margin-bottom: 5%;
}

#inicio-post {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

#titulo-post {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 5% 0 10% 0;
}

#titulo-post h1 {
    color: #FF4081;
    font-size: 3rem;
}

#titulo-post p {
    color: #9D9D9D;
}

#container-post {
    width: 75%;
    margin-bottom: 10%;
}

#container-post img {
    width: 100%;
    height: 500px;
    margin-bottom: 7%;
}

#container-post p {
    margin-bottom: 10%;
    color: #000;
}

#container-post h3 {
    color: #419488;
    font-size: 1.5rem;
    font-weight: 600;
    margin-bottom: 2%;
}

#paragrafo-final {
    margin-bottom: 30%;
}

@media (max-width: 1200px) {
    #inicio-curso {
        height: auto;
    }
    .cursos-principais {
        width: 100%;
        height: 100vh;
    }
    .cursos-principais h4 {
        margin: 0;
    }
    .cursos-principais p {
        margin: 0;
    }
    #inicio-comentarios {
        width: 100vw;
        height: 100vh;
    }
    #inicio-comentarios h2 {
        position: absolute;
        top: 10%;
        left: 10%;
    }
    #container-comentarios {
        position: relative;
        top: 25%;
        left: 10%;
    }
    #container-comentarios div {
        width: 90%;
        margin: 0 5% 5% 0;
    }
    #container-comentarios div img {
        height: 70%;
        width: 50%;
    }
    #menu-contato {
        flex-wrap: wrap;
    }
    #menu-contato img {
        width: 30vw;
        height: 30vh;
    }
    .secoes-cursos {
        height: 30vh;
    }
    .container-blog {
        height: 45vh;
    }
    #curso-principal {
        flex-wrap: wrap;
    }
    #curso-principal article {
        width: 80%;
    }
    #curso-principal article h1 {
        margin-bottom: 5%;
    }
    #curso-principal article p {
        font-size: 1.5rem;
    }
    #curso-principal figure img {
        height: 40vh;
    }
    #titulo-post h1 {
        width: 80vw;
        text-align: center;
    }
}

@media (max-width: 950px) {
    header a img {
        width: 40vw;
    }
    header nav {
        width: 30vw;
        font-size: 0.7rem;
        display: flex;
        justify-content: flex-end;
    }
    header ul {
        display: block;
    }
    #inicio-principal {
        height: 200vh;
    }
    #inicio-principal div {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        text-align: center;
    }
    #inicio-comentarios h2 {
        top: 5%;
    }
    .cursos-principais {
        width: 80vw;
        height: 100vh;
        text-align: center;
    }
    #inicio-comentarios {
        height: 170vh;
    }
    #container-comentarios {
        top: 15%;
    }
    #container-comentarios div {
        flex-wrap: wrap;
        height: 30vh;
        display: flex;
        align-items: center;
        justify-content: center;
        margin-bottom: 10%;
    }
    #container-comentarios div img {
        height: 40%;
        width: 20%;
    }
    #inicio-posts {
        height: 200vh;
    }
    #inicio-posts h2 {
        top: 1%;
    }
    #inicio-posts div {
        width: 80vw;
        height: 20%;
        text-align: center;
        position: relative;
        top: 0;
    }
    #inicio-posts div img {
        height: 20vh;
    }
    #inicio-posts div p {
        width: 100%;
    }
    #inicio-posts a {
        top: 96%;
        left: 30%;
    }
    footer img {
        height: 50%;
        width: 60%;
    }
    footer div {
        width: 35%;
        height: 60%;
        font-size: 0.7rem;
    }
    footer div a {
        margin-top: 5px;
        text-align: center;
    }
    #menu-contato {
        flex-wrap: wrap;
    }
    #formulario-contato {
        width: 80%;
    }
    #menu-contato img {
        width: 50vw;
    }
    #titulo-cursos {
        left: 0;
    }
    .secoes-cursos {
        flex-wrap: wrap;
        height: 100vh;
    }
    #tirar-borda div {
        height: 50vh;
    }
    #tirar-borda div img {
        height: 100%;
    }
    #inicio-blog {
        flex-wrap: wrap;
        height: 100vh;
    }
    #titulo-blog {
        width: 80vw;
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
    }
    #titulo-blog h1 {
        text-align: center;
    }
    #inicio-blog div {
        height: 50vh;
        align-items: center;
    }
    #inicio-blog div img {
        height: 90%;
    }
    .container-blog {
        width: 80vw;
        height: 60vh;
    }
    #curso-principal {
        width: 90vw;
        height: 150vh;
        margin-left: 5%;
    }
    #curso-principal article {
        width: 100%;
        text-align: center;
    }
    .container-curso {
        flex-wrap: wrap;
    }
    .container-curso div {
        width: 80vw;
        text-align: center;
    }
    #container-post img {
        height: 300px;
    }
}